Chromium Code Reviews
Help | Chromium Project | Sign in
(5)

Issue 28633002: Fix compilation error of public/platform/WebFloatRect.h for MSVC 2013 (Closed)

Can't Edit
Can't Publish+Mail
Start Review
Created:
1 year, 9 months ago by Yosi_UTC9
Modified:
8 months, 1 week ago
CC:
blink-reviews, jamesr, dglazkov+blink, abarth-chromium
Visibility:
Public.

Description

Fix compilation error of public/platform/WebFloatRect.h for MSVC 2013 This patch fixes compilation error of public/platform/WebFloatRect.h for MSVC 2013. Error message on MSVC 2013: d:\src\w\cr\src\third_party\webkit\public\platform\webfloatrect.h(111) : error C2039: 'max' : is not a member of 'std' BUG=n/a TEST=n/a; no behavior changes. Committed: https://src.chromium.org/viewvc/blink?view=rev&revision=159999

Patch Set 1 #

Patch Set 2 : 2013-10-18T19:02:58 #

Messages

Total messages: 8 (0 generated)
Yosi_UTC9
Could you review this patch? Thanks in advance.
1 year, 9 months ago (2013-10-18 08:55:46 UTC) #1
tkent
> d:\src\w\cr\src\third_party\webkit\public\platform\webfloatrect.h(111) : error C2039: 'max' : is not a member of 'std' What .cpp/.cc ...
1 year, 9 months ago (2013-10-18 09:22:21 UTC) #2
Yosi_UTC9
PTAL Compilation error is occurred in src/third_party/WebKit/Source/testing/runner/TestPlugin.cpp. So, I move #include <algorithm> into non-blink implementation ...
1 year, 9 months ago (2013-10-18 10:09:46 UTC) #3
abarth-chromium
lgtm
1 year, 9 months ago (2013-10-18 16:09:25 UTC) #4
commit-bot: I haz the power
CQ is trying da patch. Follow status at https://chromium-status.appspot.com/cq/yosin@chromium.org/28633002/50001
1 year, 9 months ago (2013-10-18 16:09:35 UTC) #5
commit-bot: I haz the power
Change committed as 159999
1 year, 9 months ago (2013-10-19 10:37:35 UTC) #6
tamutharlay
On 2013/10/19 10:37:35, I haz the power (commit-bot) wrote: > Change committed as 159999 159999
8 months, 2 weeks ago (2014-11-20 00:44:16 UTC) #7
tamutharlay
8 months, 1 week ago (2014-11-24 05:41:43 UTC) #8
Message was sent while issue was closed.
On Thursday, November 20, 2014, <tamutharlay@gmail.com> wrote:
> On 2013/10/19 10:37:35, I haz the power (commit-bot) wrote:
>>
>> Change committed as 159999
>
> 159999
>
> https://codereview.chromium.org/28633002/
>

-- 
Kyaw

To unsubscribe from this group and stop receiving emails from it, send an email
to blink-reviews+unsubscribe@chromium.org.
Sign in to reply to this message.

Powered by Google App Engine
RSS Feeds Recent Issues | This issue
This is Rietveld 5fa3ca5